## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesAttributeBridgeAllocator Class Reference

This class is deprecated. More...

`#include <XercesAttributeBridgeAllocator.hpp>`

Collaboration diagram for XercesAttributeBridgeAllocator:

[legend]
List of all members.

## Public Types

- typedef XercesAttrBridge ObjectType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XercesAttributeBridgeAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XercesAttributeBridgeAllocator ()
- ObjectType* create (const DOM_AttrType &theXercesAttr, const XercesBridgeNavigator &theNavigator)
    Create a XercesAttrBridge instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Detailed Description

This class is deprecated.

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XercesAttributeBridgeAllocator::ArenaAllocatorType<ObjectType>

typedef XercesAttrBridge XercesAttributeBridgeAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesAttributeBridgeAllocator::size_type

## Constructor & Destructor Documentation

XercesAttributeBridgeAllocator::XercesAttributeBridgeAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XercesAttributeBridgeAllocator::~XercesAttributeBridgeAllocator ( | )

## Member Function Documentation

ObjectType * XercesAttributeBridgeAllocator::create ( | const DOM_AttrType & theXercesAttr,
| const XercesBridgeNavigator & theNavigator )

Create a XercesAttrBridge instance.

Parameters:

  theXercesAttr | The Xerces attribute node
  theNavigator | The navigator for this instance.

Returns:
  pointer to the instance

size_type XercesAttributeBridgeAllocator::getBlockCount ( | ) const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XercesAttributeBridgeAllocator::getBlockSize ( | ) const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XercesAttributeBridgeAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesAttributeBridgeAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.